## alkimia 7.0.1

=== debian/changelog ===
alkimia (7.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Do not look for MPIR, since we use GMP (and switching would change ABI)
    - pass -DCMAKE_DISABLE_FIND_PACKAGE_MPIR=OFF to cmake

 -- Pino Toscano <pino@debian.org>  Fri, 16 Mar 2018 16:25:25 +0100

alkimia (7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release: (see #887310)
    - switches to Qt 5 (see #875008)
  * Update watch file, also switching it to https.
  * Update the build dependencies following the port to Qt 5:
    - remove kdelibs5-dev
    - add extra-cmake-modules, and qtbase5-dev
  * Rename libalkimia5 to libalkimia5-7 according to the new SONAME.
  * Rename libalkimia-dev to libalkimia5-dev, as it better represents the
    library name.
  * Update the patches:
    - upstream_Fix-AlkValue-operator-QString-w-valueRef.patch: backported from
      upstream
  * Update install files.
  * Mark libalkimia5-7, and libalkimia5-dev as Multi-Arch: same.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Remove trailing whitespaces in changelog.
  * Drop the pre-Jessie breaks/replaces.
  * Rename the source from libalkimia to alkimia, to match the new upstream
    name.
  * Add the qtbase5-dev, and libgmp-dev dependencies in libalkimia5-dev, as
    they are used by the public API.
  * Add a symbols file for libalkimia5-7.
  * Bump the debhelper compat to 11:
    - bump compat to 11
    - bump the debhelper build dependency to 11
    - remove --parallel to dh

 -- Pino Toscano <pino@debian.org>  Wed, 07 Feb 2018 21:49:52 +0100

libalkimia (5.0.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jun 2016 09:40:34 +0200

libalkimia (5.0.0-2) experimental; urgency=medium

  * Team upload.
  * Backport upstream commit 2e6172a7d723d53ff62fc3eaf2ea7208db0fd0a7 to fix
    AlkValue::operator=(QString); patch
    upstream_Fix-AlkValue-operator-QString-w-valueRef.patch.
  * Update copyright; thanks Scott Kitterman for the notice!

 -- Pino Toscano <pino@debian.org>  Mon, 20 Jun 2016 23:18:52 +0200

libalkimia (5.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove extra ${shlibs:Depends} from libalkimia-dev.
  * Do not disable the tests.
  * Update watch file.
  * Rename libalkimia4 to libalkimia5 according to the new SONAME.
  * Update install files.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jun 2016 10:34:23 +0200

libalkimia (4.3.2-2) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compatibility to 9:
    - bump the debhelper build dependency to >= 9
    - bump compat to 9
  * Add Vcs-Browser and Vcs-Svn headers.
  * Bump the priority of libalkimia-dev to optional.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Switch the libgmp3-dev build dependency (transitional) to libgmp-dev.
  * Enable the parallel build.
  * Make the .install files a bit more specific, and sort them.
  * Move all the development files (cmake and pkg-config) from libalkimia4
    to libalkimia-dev; add proper breaks/replaces for this.
  * Switch section of libalkimia4 to libs.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Sep 2014 19:33:48 +0200

libalkimia (4.3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbs missing dependency on pkg-config": add it.
    (Closes: #674212)

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jun 2012 15:38:21 +0200

libalkimia (4.3.2-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch
  * Swap -dev Priority: - package-depends-on-lower-priority-package

 -- Mark Purcell <msp@debian.org>  Sat, 11 Feb 2012 12:57:53 +1100

libalkimia (4.3.1-1) unstable; urgency=low

  * Initial Debian Release (Closes: #644122)

 -- Mark Purcell <msp@debian.org>  Mon, 03 Oct 2011 12:16:22 +1100

libalkimia (4.3.1-0ubuntu1~ppa5) lucid; urgency=low

  * Lucid build.

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 17:14:46 -0400

libalkimia (4.3.1-0ubuntu1~ppa4) maverick; urgency=low

  * Maverick build

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 17:11:50 -0400

libalkimia (4.3.1-0ubuntu1~ppa3) natty; urgency=low

  * Version bump, no changes.

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 16:28:46 -0400

libalkimia (4.3.1-0ubuntu1~ppa1) natty; urgency=low

  * Initial packaging

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 11:37:54 -0400
