=== debian/control ===
Source: alkimia
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Clay Weber <claydoh@claydoh.com>
Build-Depends: debhelper (>= 11), pkg-kde-tools (>= 0.5.0), cmake,
 extra-cmake-modules,
 qtbase5-dev,
 libgmp-dev, pkg-config,
Standards-Version: 4.1.3
Homepage: http://kde-apps.org/content/show.php?content=137323
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/libalkimia/trunk/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/libalkimia/trunk

Package: libalkimia5-7
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Financial library common classes for KDE SC
 Libalkimia is a library with common classes and functionality used by
 finance applications for the KDE SC. Currently it supports a common
 class to represent monetary values with arbitrary precision.

Package: libalkimia5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libalkimia5-7 (= ${binary:Version}),
 qtbase5-dev,
 libgmp-dev,
Description: Financial library - Development files
 Libalkimia is a library with common classes and functionality used by
 finance applications for the KDE SC. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains development files needed for Libalkimia.
