=== debian/watch ===
version=4

https://download.kde.org/stable/alkimia/([\d\.]+)/src/alkimia-([\d\.]+)\.tar\.xz
