## alkimia 7.0.2

=== debian/changelog ===
alkimia (7.0.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update path in watch file.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Remove Clay Weber from Uploaders, since he did no changes since the import
    in Debian.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Apr 2018 18:54:44 +0200
