=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Clay Weber <claydoh@claydoh.com>
+Uploaders: Mark Purcell <msp@debian.org>,
 Build-Depends: debhelper (>= 11), pkg-kde-tools (>= 0.5.0), cmake,
  extra-cmake-modules,
  qtbase5-dev,
  libgmp-dev, pkg-config,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://kde-apps.org/content/show.php?content=137323
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/libalkimia/trunk/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/libalkimia/trunk
