=== debian/watch ===
version=4

https://download.kde.org/stable/alkimia/([\d\.]+)/alkimia-([\d\.]+)\.tar\.xz
