## alkimia 8.1.0

=== debian/changelog ===
alkimia (8.1.0-1) experimental; urgency=medium

  * Team upload.

  [ Daniele E. Domenichelli ]
  * New upstream release.
  * Rename libalkimia5-7 to libalkimia5-8 according to the new SONAME.
  * Update symbols file for libalkimia5-8.
  * Disable the tests, since they fail when run without X11.

  [ Sandro Knauß ]
  * Update build-deps and deps with the info from cmake.
  * Update standards version to 4.6.0, no changes needed.
  * Update symbols from build for 8.1.0.
  * Check tarball signatures.
  * Update homepage field.
  * Add needed Build-Dependencies to run tests successfully.
  * Enable hardening.
  * Add buildinfo options.
  * Split package to own packages (qml and plasmoid).
  * Add upstream metadata file.
  * Add Rules-Requirs-Root.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Knauß <hefee@debian.org>  Mon, 21 Mar 2022 18:02:48 +0100

alkimia (7.0.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.3.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Jan 2019 06:10:42 +0100
