=== debian/control ===
Source: alkimia
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 3.0.2~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 0.0.11~),
               libgmp-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5package-dev,
               libkf5plasma-dev,
               libkf5textwidgets-dev,
               libkf5xmlgui-dev,
               pkg-config,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev,
               qtdeclarative5-dev,
               libqt5webkit5-dev,
               xauth,
               xvfb
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/office/alkimia
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/alkimia
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/alkimia.git
Rules-Requires-Root: no

Package: alkimia-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Financial library - binaries
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 Commandline binaries for the library.

Package: alkimia-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Financial library - data files
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 Support files for the library.

Package: libalkimia5-8
Architecture: any
Multi-Arch: same
Depends: alkimia-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: alkimia-bin
Description: Financial library common classes for KDE
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.

Package: libalkimia5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libalkimia5-8 (= ${binary:Version}),
         libgmp-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: Financial library - Development files
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains development files needed for Libalkimia.

Package: plasma-widget-foreigncurrencies
Architecture: all
Multi-Arch: foreign
Depends: plasma-desktop,
         qml-module-org-kde-alkimia (>= ${source:Version}),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Financial library - Currency Plasmoid
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 Plasma Widget for foreign currencies.

Package: qml-module-org-kde-alkimia
Architecture: any
Multi-Arch: same
Depends: libalkimia5-8 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Financial library - QML Module
 Libalkimia is a library with common classes and functionality used by
 finance applications for KDE. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains the files for using Alkimia with QML.
