=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all buildinfo=+path
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_DISABLE_FIND_PACKAGE_MPIR=OFF

override_dh_auto_test:
	xvfb-run dh_auto_test --no-parallel
