=== tools/CMakeLists.txt ===
add_subdirectory(onlinequoteseditor)
