=== debian/changelog ===
alkimia (8.1.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 21 Nov 2022 13:38:34 +0100

alkimia (8.1.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (8.1.1).
  * Remove inactive Uploaders, adding myself as one to avoid leaving the
    source with no human maintainers.
  * Update alkimia-bin install file.
  * Update symbols for 8.1.1.
  * Remove not needed shlibs:Depdens.

 -- Sandro Knauß <hefee@debian.org>  Thu, 10 Nov 2022 10:10:44 +0100

alkimia (8.1.0-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Mark xauth,xvfb only needed for test mode.
  * Bump Standards-Version to 4.6.1.
  * Make tests not failing the build, as we have an online test, that
    may fail.

 -- Sandro Knauß <hefee@debian.org>  Thu, 10 Nov 2022 09:23:55 +0100
