=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 3.0.2~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 0.0.11~),
@@ -18,14 +18,14 @@
                libkf5plasma-dev,
                libkf5textwidgets-dev,
                libkf5xmlgui-dev,
+               libqt5webkit5-dev,
                pkg-config,
                pkg-kde-tools (>= 0.5.0),
                qtbase5-dev,
                qtdeclarative5-dev,
-               libqt5webkit5-dev,
-               xauth,
-               xvfb
-Standards-Version: 4.6.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/office/alkimia
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/alkimia
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/alkimia.git
@@ -44,7 +44,7 @@
 Package: alkimia-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: Financial library - data files
  Libalkimia is a library with common classes and functionality used by
  finance applications for KDE. Currently it supports a common
@@ -85,8 +85,7 @@
          qml-module-qtquick-controls,
          qml-module-qtquick-dialogs,
          qml-module-qtquick-layouts,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Description: Financial library - Currency Plasmoid
  Libalkimia is a library with common classes and functionality used by
  finance applications for KDE. Currently it supports a common
