=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 	dh_auto_configure -- -DCMAKE_DISABLE_FIND_PACKAGE_MPIR=OFF
 
 override_dh_auto_test:
-	xvfb-run dh_auto_test --no-parallel
+	- xvfb-run dh_auto_test --no-parallel
